CurrentOperations (Java Platform SE 8 )
Keywords: org.omg.PortableServer.CurrentOperations interface
Date: 2015-11-19

org.omg.PortableServer

## Interface CurrentOperations

- All Superinterfaces:
    CurrentOperations
  All Known Subinterfaces:
    Current

      public interface CurrentOperations
      extends CurrentOperations

  The PortableServer::Current interface, derived from CORBA::Current, provides method implementations with access to the identity of the object on which the method was invoked. The Current interface is provided to support servants that implement multiple objects, but can be used within the context of POA-dispatched method invocations on any servant. To provide location transparency, ORBs are required to support use of Current in the context of both locally and remotely invoked operations. An instance of Current can be obtained by the application by issuing the CORBA::ORB::resolve_initial_references("POACurrent") operation. Thereafter, it can be used within the context of a method dispatched by the POA to obtain the POA and ObjectId that identify the object on which that operation was invoked.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `get_object_id()` Returns the ObjectId identifying the object in whose context it is called.
    `POA` | `get_POA()` Returns reference to the POA implementing the object in whose context it is called.

- - ### Method Detail

    - #### get_POA

          POA get_POA()
               throws NoContext

      Returns reference to the POA implementing the object in whose context it is called.
      Returns:
        The poa implementing the object
      Throws:
        `NoContext` - is raised when the operation is outside the context of a POA-dispatched operation

    - #### get_object_id

          byte[] get_object_id()
                        throws NoContext

      Returns the ObjectId identifying the object in whose context it is called.
      Returns:
        the ObjectId of the object
      Throws:
        `NoContext` - is raised when the operation is called outside the context of a POA-dispatched operation.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.